%define api	3.0

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Configurable context menu for Nautilus
Name:		nautilus-actions
Version:	3.2.2
Release:	%mkrel 1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.nautilus-actions.org/
BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(unique-3.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0) >= 2.8.0
BuildRequires:	pkgconfig(libgtop-2.0) >= 2.23.1
BuildRequires:	pkgconfig(sm) >= 1.0
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(libnautilus-extension) >= 2.16
BuildRequires:	pkgconfig(xml2po)
#needed to get correct deps for na-gconf2key.sh
BuildRequires:  pdksh

Requires:	nautilus

%description
Nautilus actions is an extension for Nautilus, the gnome file
manager. It allow to configure program to be launch on files selected
into Nautilus interface.

%package devel
Group:		Development/C
Summary:	Development files of %name
Requires:	%{name} = %{version}-%{release}

%description devel
Install this if you want to build extensions for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-schemas-install \
	--enable-gconf \
	--with-gtk=3
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

#let files section handle docs
rm -rf %{buildroot}%{_defaultdocdir}

%find_lang %{name} --all-name --with-gnome

#mor lang files
for omf in %{buildroot}%{_datadir}/omf/*/*-??*.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README TODO NEWS MAINTAINERS
%doc docs/objects-hierarchy.odg
%{_bindir}/*
%{_libdir}/%{name}/
%{_libdir}/nautilus/extensions-%{api}/lib%{name}-*.so
%{_datadir}/%{name}/
%dir %{_datadir}/omf/nautilus-actions-config-tool/
%{_datadir}/omf/nautilus-actions-config-tool/nautilus-actions-config-tool-C.omf
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/nact.desktop

%files devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/nautilus-actions-3/
%{_includedir}/%{name}


%changelog

* Fri Mar 09 2012 fwang <fwang> 3.2.2-1.mga2
+ Revision: 222020
- drop merged patch
- new version 3.2.2

* Fri Mar 02 2012 wally <wally> 3.2.0-1.mga2
+ Revision: 216851
- add missing BR
- fix file list

  + ovitters <ovitters>
    - add xsltproc to buildrequires
    - new version 3.2.0

* Sat Dec 10 2011 wally <wally> 3.1.5-2.mga2
+ Revision: 180304
- add BR pdksh

* Sat Dec 10 2011 wally <wally> 3.1.5-1.mga2
+ Revision: 180244
- new version 3.1.5
- clean .spec
- don't generate gtk-docs
- imported package nautilus-actions

